# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_Area Class Reference

`#include <XCAFDoc_Area.hxx>`

## Public Member Functions

Standard_EXPORT | XCAFDoc_Area ()
| class methods =============
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Set (const Standard_Real vol)
| Sets a value of volume .
Standard_EXPORT Standard_Real | Get () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_Area | Set (const TDF_Label &label, const Standard_Real area)
| Find, or create, an Area attribute and set its value .
static Standard_EXPORT Standard_Boolean | Get (const TDF_Label &label, Standard_Real &area)
| Returns volume of area as argument and succes status returns false if no such attribute at the <label> .

## Private Attributes

Standard_Real | myValue

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_Area::XCAFDoc_Area | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& XCAFDoc_Area::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

static Standard_EXPORT Standard_Boolean XCAFDoc_Area::Get | ( | const TDF_Label & | label,
|  | Standard_Real & | area
| ) | `[static]`

Standard_EXPORT Standard_Real XCAFDoc_Area::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_Area::GetID | ( |  | ) | `[static]`

Standard_EXPORT const XCAFDoc_Area::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_Area::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_Area::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Area::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_Area::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

static Standard_EXPORT Handle_XCAFDoc_Area XCAFDoc_Area::Set | ( | const TDF_Label & | label,
|  | const Standard_Real | area
| ) | `[static]`

Standard_EXPORT void XCAFDoc_Area::Set | ( | const Standard_Real | vol | ) |

## Field Documentation

Standard_Real XCAFDoc_Area::myValue`[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_Area.hxx